Module com.io7m.jtensors.core
Package com.io7m.jtensors.core.unparameterized.matrices

## Interface MatrixReadable3x3DType

- All Superinterfaces:
    `MatrixReadableDType`
  All Known Subinterfaces:
    `Matrix3x3DType`, `MatrixByteBuffered3x3Type`, `MatrixStorage3x3Type`, `PMatrix3x3DType<A,B>`, `PMatrixByteBuffered3x3Type<A,B>`, `PMatrixReadable3x3DType<A,B>`, `PMatrixStorage3x3Type<A,B>`
  All Known Implementing Classes:
    `Matrix3x3D`, `MatrixByteBuffered3x3s16`, `MatrixByteBuffered3x3s32`, `MatrixByteBuffered3x3s64`, `PMatrix3x3D`, `PMatrixByteBuffered3x3s16`, `PMatrixByteBuffered3x3s32`, `PMatrixByteBuffered3x3s64`

      public interface MatrixReadable3x3DType
      extends MatrixReadableDType

  The type of 3x3 `double`-typed matrices.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `double` | `r0c0​()` |
    `double` | `r0c1​()` |
    `double` | `r0c2​()` |
    `double` | `r1c0​()` |
    `double` | `r1c1​()` |
    `double` | `r1c2​()` |
    `double` | `r2c0​()` |
    `double` | `r2c1​()` |
    `double` | `r2c2​()` |
    `default double` | `rowColumn​(int row, int column)` |

- - ### Method Detail

    - #### r0c0

          @Parameter(order=0)
          double r0c0​()

      Returns:
        The value at row 0 column 0

    - #### r0c1

          @Parameter(order=1)
          double r0c1​()

      Returns:
        The value at row 0 column 1

    - #### r0c2

          @Parameter(order=2)
          double r0c2​()

      Returns:
        The value at row 0 column 2

    - #### r1c0

          @Parameter(order=3)
          double r1c0​()

      Returns:
        The value at row 1 column 0

    - #### r1c1

          @Parameter(order=4)
          double r1c1​()

      Returns:
        The value at row 1 column 1

    - #### r1c2

          @Parameter(order=5)
          double r1c2​()

      Returns:
        The value at row 1 column 2

    - #### r2c0

          @Parameter(order=6)
          double r2c0​()

      Returns:
        The value at row 2 column 0

    - #### r2c1

          @Parameter(order=7)
          double r2c1​()

      Returns:
        The value at row 2 column 1

    - #### r2c2

          @Parameter(order=8)
          double r2c2​()

      Returns:
        The value at row 2 column 2

    - #### rowColumn

          default double rowColumn​(int row,
                                   int column)

      Specified by:
        `rowColumn` in interface `MatrixReadableDType`
      Parameters:
        `row` - The row, starting at 0
        `column` - The column, starting at 0
      Returns:
        The value at row `row`, column `column`

Copyright © 2017 <code@io7m.com> http://io7m.com